using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class EnemyMovement : MonoBehaviour
{
    private Rigidbody rb;
    private float moveTime = 0;
    private float direction = 1; // 1 - , -1 - 

    public float moveSpeed = 5f;
    public float minMoveTime = 1f;
    public float maxMoveTime = 3f;

    void Update()
    {
        if (!GameManager.GameHasStarted)
            return;

        moveTime -= Time.deltaTime;
        if (moveTime <= 0)
        {
            Move();
        }
    }

    void Move()
    {
        direction = FalcoEngine.Random.Range(0, 2) == 0 ? 1 : -1; //     
        moveTime = FalcoEngine.Random.Range(minMoveTime, maxMoveTime);

        Vector3 movement = new Vector3(0, direction * FalcoEngine.Random.Range(1, 5), 0);
        rigidbody.linearVelocity = movement.normalized * moveSpeed;
    }
}
